| Openscape Voice V10 - SOAP Interface Documentation

Classes | Enumerations | Functions
Office Code

Office Code Definitions and Methods. More...

## Classes
class | unsp__OfficeCode
| Office Code. More...
class | unsp__CreateOfficeCodeRequest
| Create Office Code request. More...
struct | unsp__CreateOfficeCodeResult
| Create Office Code result. More...
class | unsp__ModifyOfficeCodeRequest
| Modify Office Code request. More...
struct | unsp__ModifyOfficeCodeResult
| Modify Office Code result. More...
class | unsp__RemoveOfficeCodeRequest
| Remove Office Code request. More...
struct | unsp__RemoveOfficeCodeResult
| Remove Office Code result. More...
class | unsp__QueryOfficeCodeRequest
| Query Office Code request. More...
class | unsp__ArrayOfOfficeCode
| Array of Office Codes. More...
struct | unsp__OfficeCodeResult
| Query Office Code result. More...

## Enumerations
enum | unsp__CommandActivate { CmdUnassigned = -1, CmdNo, CmdYes }
enum | unsp__OfficeCodeSortType { OfficeCodeStUnassigned = -1, OfficeCodeStOfficeCode }
| Office Code Sort Type. More...

## Functions
int | unsp__createOfficeCode (unsp__CreateOfficeCodeRequest CreateOfficeCodeRequest, struct unsp__CreateOfficeCodeResult *CreateOfficeCodeResult)
| Creates an Office Code. More...
int | unsp__modifyOfficeCode (unsp__ModifyOfficeCodeRequest ModifyOfficeCodeRequest, struct unsp__ModifyOfficeCodeResult *ModifyOfficeCodeResult)
| Modifies an Office Code. More...
int | unsp__removeOfficeCode (unsp__RemoveOfficeCodeRequest RemoveOfficeCodeRequest, struct unsp__RemoveOfficeCodeResult *RemoveOfficeCodeResult)
| Removes an Office Code. More...
int | unsp__queryOfficeCode (unsp__QueryOfficeCodeRequest QueryOfficeCodeRequest, struct unsp__OfficeCodeResult *QueryOfficeCodeResult)
| Queries Office Codes. More...

## Detailed Description

Office Code Definitions and Methods.

Directory numbers are related to an office code and can be assigned as extension numbers to subscribers, phantom lines, endpoints, services, intercept and destinations.

The office code consists of CC, AC and possibly the leading digits of the public extension that will be created. Country Code (CC) and Area Code (AC) are optional fields, although the use of an area code is strongly recommended as some features require it to function well. The Local Office Code needs to be carefully chosen as its length may surpass the 'real' Local Office Code length depending on how many digits the public extension number consists of. The office code is composed of CC + AC + LOC where

- CC = Country Code
- AC = Area Code, and
- LOC = Local Office Code

There is no one-to-one relationship between Office Code and BG. It is possible to use one Office Code in multiple BGs and also to use multiple Office Codes in one BG. However, it is recommended to use one Office Code for one BG.

## Enumeration Type Documentation

## ◆ unsp__CommandActivate

enum unsp__CommandActivate

Deprecated:
  NA

Enumerator
CmdUnassigned | Unuassigned.
CmdNo | No.
CmdYes | Yes.

## ◆ unsp__OfficeCodeSortType

enum unsp__OfficeCodeSortType

Office Code Sort Type.

Enumerator
OfficeCodeStUnassigned | Unassigned.
OfficeCodeStOfficeCode | Office Code.

## Function Documentation

## ◆ unsp__createOfficeCode()

unsp__createOfficeCode | ( | unsp__CreateOfficeCodeRequest | CreateOfficeCodeRequest,
|  | struct unsp__CreateOfficeCodeResult * | CreateOfficeCodeResult
| ) |  |

Creates an Office Code.

Parameters

  CreateOfficeCodeRequest | API request
  CreateOfficeCodeResult | API result MP2 command: OfficeCode [Attributes]

## ◆ unsp__modifyOfficeCode()

unsp__modifyOfficeCode | ( | unsp__ModifyOfficeCodeRequest | ModifyOfficeCodeRequest,
|  | struct unsp__ModifyOfficeCodeResult * | ModifyOfficeCodeResult
| ) |  |

Modifies an Office Code.

Parameters

  ModifyOfficeCodeRequest | API request
  ModifyOfficeCodeResult | API result MP2 command: ModifyOfficeCode [Attributes]

## ◆ unsp__queryOfficeCode()

unsp__queryOfficeCode | ( | unsp__QueryOfficeCodeRequest | QueryOfficeCodeRequest,
|  | struct unsp__OfficeCodeResult * | QueryOfficeCodeResult
| ) |  |

Queries Office Codes.

Parameters

  QueryOfficeCodeRequest | API request
  QueryOfficeCodeResult | API result

## ◆ unsp__removeOfficeCode()

unsp__removeOfficeCode | ( | unsp__RemoveOfficeCodeRequest | RemoveOfficeCodeRequest,
|  | struct unsp__RemoveOfficeCodeResult * | RemoveOfficeCodeResult
| ) |  |

Removes an Office Code.

Parameters

  RemoveOfficeCodeRequest | API request
  RemoveOfficeCodeResult | API result MP2 command: RemoveOfficeCode [Attributes]